summaryrefslogtreecommitdiff
path: root/RED/baselines
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-05-24 14:47:13 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-05-24 14:47:13 +0200
commitea4766f44b11b0feca8c32f2d44d9dd5a274bf93 (patch)
tree0dca639d132811a03448659b8a6f2a0f044e06f8 /RED/baselines
parentd39c7edd8af938250052f2d954c82135ec0b2884 (diff)
run benchmarks with timeout of 30 minutes per configuration
Diffstat (limited to 'RED/baselines')
-rwxr-xr-xRED/baselines/cpu/run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/RED/baselines/cpu/run.sh b/RED/baselines/cpu/run.sh
index 82bf983..1707edf 100755
--- a/RED/baselines/cpu/run.sh
+++ b/RED/baselines/cpu/run.sh
@@ -10,7 +10,7 @@ for nr_threads in 1 2 4 6 8 12 16 20 24 32; do
for i in 2048 4096 8192 16384 65536 262144 1048576 3932160 15728640 31457280 262144000 1048576000 2097152000; do
for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
if make -B TYPE=${dt}; then
- ./red -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ timeout -k 1m 30m ./red -i ${i} -w 0 -e 100 -t ${nr_threads} || true
fi
done
done